Jupyter startup issues

Hi everyone,

I was going to write a novel about Jupyter startup issues, but, ended up figuring out the problem after some debugging, so I’ll just give you a warning that Jupyter’s notebook module version 5.7.* is broken for the remote access that OOD requires with the config option c.NotebookApp.ip = ‘*’.

If you get error as:
File “/uufs/chpc.utah.edu/sys/installdir/python/3.7.3/lib/python3.7/site-packages/traitlets/traitlets.py”, line 528, in get
value = obj._trait_values[self.name]
KeyError: ‘allow_remote_access’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/uufs/chpc.utah.edu/sys/installdir/python/3.7.3/lib/python3.7/site-packages/notebook/notebookapp.py”, line 864, in _default_allow_remote
addr = ipaddress.ip_address(self.ip)
File “/uufs/chpc.utah.edu/sys/installdir/python/3.7.3/lib/python3.7/ipaddress.py”, line 54, in ip_address
address)
ValueError: ‘’ does not appear to be an IPv4 or IPv6 address

most likely you use notebook version 5.7.*. Install newer version (currently 6.0.3) or go back to 5.6.0.

HTH,
MC

1 Like

@mcuma thanks for the heads up to the rest of the community!

Yea in troubleshooting this issue in UGE Jupyter launch fails for UGE I happened to stumble across this ticket in jupyter https://github.com/jupyter/notebook/issues/4715 which someone says just a jupyter's update. but doesn’t seem to indicate why it was updated.

Did setting c.NotebookApp.ip = '0.0.0.0' happen to solve your issue? I think that config should backport to older versions as well. or maybe we should start supplying ${host} (which is just $(hostname)) there instead.

If I recall right setting c.NotebookApp.ip = ‘0.0.0.0’ only allowed localhost to access the Jupyter so it did not work for OOD.